Package org.python.modules

# Class ArrayModule

java.lang.Object
org.python.modules.ArrayModule

All Implemented Interfaces:
  `ClassDictInit`

public class ArrayModule extends Object implements ClassDictInit
The python array module, plus jython extensions from jarray.

## Field Summary

Fields
Modifier and Type
Field
Description
`static PyString`
`__doc__`

## Constructor Summary

Constructors
Constructor
Description
`ArrayModule()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`classDictInit(PyObject dict)`
`static PyArray`
`zeros(char typecode, int n)`
`static PyArray`
`zeros(Class type, int n)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __doc__

public static PyString __doc__

## Constructor Details

### ArrayModule

public ArrayModule()

## Method Details

### classDictInit

public static void classDictInit(PyObject dict)

### zeros

public static PyArray zeros(char typecode, int n)

### zeros

public static PyArray zeros(Class type, int n)